Skip to main content
GET
cURL
This endpoint is in Preview and subject to change. Refer to the API support policy for more details.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

primary_cluster_id
string

primary_cluster_id, if set, will cause only replication streams with this cluster as the primary to be returned.

standby_cluster_id
string

standby_cluster_id, if set, will cause only replication streams with this cluster as the standby to be returned.

cluster_id
string

cluster_id, if set, will cause replication streams with this cluster as the primary or the standby to be returned.

show_completed
boolean

show_completed specifies whether or not replication streams in the completed state are shown.

pagination.page
string
pagination.limit
integer<int32>
pagination.as_of_time
string<date-time>
pagination.sort_order
enum<string>
  • ASC: Sort in ascending order. This is the default unless otherwise specified.
  • DESC: Sort in descending order.
Available options:
ASC,
DESC

Response

A successful response.

physical_replication_streams
object[]
required

physical_replication_streams is a list of PhysicalReplicationStreams.

pagination
object